# Uses of Interface
org.eclipse.birt.report.engine.api.script.instance.ITextItemInstance

Packages that use ITextItemInstance
Package
Description
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of ITextItemInstance in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type ITextItemInstance
Modifier and Type
Method
Description
`void`
TextItemEventAdapter.`onCreate(ITextItemInstance text, IReportContext reportContext)`
`void`
TextItemEventAdapter.`onPageBreak(ITextItemInstance text, IReportContext reportContext)`
`void`
TextItemEventAdapter.`onRender(ITextItemInstance text, IReportContext reportContext)`

## Uses of ITextItemInstance in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type ITextItemInstance
Modifier and Type
Method
Description
`void`
ITextItemEventHandler.`onCreate(ITextItemInstance text, IReportContext reportContext)`
Handle the onCreate event
`void`
ITextItemEventHandler.`onPageBreak(ITextItemInstance text, IReportContext reportContext)`
Handle the onPageBreak event
`void`
ITextItemEventHandler.`onRender(ITextItemInstance text, IReportContext reportContext)`
Handle the onRender event